scim

15 endpoints
GET/rest/scim/users

Retrieve users

Description:

Returns a paginated list of SCIM users matching the specified filter criteria.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

A list of SCIM users is returned.
Parameters
Query Parameters
attributes
Optional
string[]

Comma-separated list of attribute names to include in the response.

excludedAttributes
Optional
string[]

Comma-separated list of attribute names to exclude from the response.

filter
Optional
string

SCIM filter expression to narrow the list of returned users (e.g., userName eq "user@example.com").

sortBy
Optional
string

Attribute name to sort results by.

sortOrder
Optional
string

Sort direction for the results.
ascending – Sort in ascending order.
descending – Sort in descending order.

startIndex
Optional
integer

1-based index of the first result to return, used for pagination.

count
Optional
integer

Maximum number of results to return per page (maximum: 1,000,000).


Responses

The users are returned successfully.

schemas
string[]

List of SCIM schema URIs applicable to this response.

totalResults
integer

Total number of matching SCIM users.

itemsPerPage
integer

Number of users returned per page.

startIndex
integer

1-based index of the first result in the current page.

schemas
string[]

List of SCIM schema URIs applicable to this resource.

id
string

Unique identifier of the SCIM user (maps to the user GUID).

resourceType
string

SCIM resource type (e.g., User).

created
string

Date and time when the SCIM resource was created.

lastModified
string

Date and time when the SCIM resource was last modified.

location
string

URI of the SCIM resource.

userName
string

Username of the SCIM user (maps to email address).

displayName
string

Display name of the SCIM user.

userType
string

User type based on the assigned profile name.

preferredLanguage
string

Preferred language of the user.

active
boolean

Indicates whether the user account is active.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

Bad request.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/users" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/users"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "schemas": [ "string" ], "totalResults": 1, "itemsPerPage": 1, "startIndex": 1, "Resources": [ { "schemas": [ "..." ], "id": "string", "meta": {}, "userName": "string", "displayName": "string", "userType": "string" } ] }
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
POST/rest/scim/users

Create a user

Description:

Creates a new SCIM user with the specified attributes.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The newly created user is returned.
Parameters
Query Parameters
attributes
Optional
string[]

Comma-separated list of attribute names to include in the response.

excludedAttributes
Optional
string[]

Comma-separated list of attribute names to exclude from the response.


Request Body
schemas
Required
string[]

List of SCIM schema URNs applicable to this resource. Must include urn:ietf:params:scim:schemas:core:2.0:User.

password
string

The user's password.

displayName
string

The user's display name. Must not contain < or > characters.

userType
string

The user's type identifier (alphanumeric characters, underscores, and hyphens only).

phoneNumbers
ScimMultiValueMobile[]

List of phone numbers associated with the user.

roles
ScimMultiValue[]

List of roles assigned to the user. At most one role may be specified.

userName
Required
string

The user's email address, used as the unique username.

notify
boolean

If true, sends a notification email to the user upon account creation.

userMustChange
boolean

If true, requires the user to change their password on first login.


Responses

The user is created successfully.

schemas
string[]

List of SCIM schema URIs applicable to this resource.

id
string

Unique identifier of the SCIM user (maps to the user GUID).

resourceType
string

SCIM resource type (e.g., User).

created
string

Date and time when the SCIM resource was created.

lastModified
string

Date and time when the SCIM resource was last modified.

location
string

URI of the SCIM resource.

userName
string

Username of the SCIM user (maps to email address).

displayName
string

Display name of the SCIM user.

userType
string

User type based on the assigned profile name.

preferredLanguage
string

Preferred language of the user.

active
boolean

Indicates whether the user account is active.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

Bad request.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Conflict.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/scim/users" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "schemas": [
         "string"
       ],
         "password": "string",
         "displayName": "string",
         "userType": "string",
         "phoneNumbers": [
         {
         "primary": true,
         "value": "string",
         "type": "string"
       }
       ],
         "roles": [
         {
         "value": "string"
       }
       ]
       }'
Python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/users"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "schemas": [
  "string"
],
  "password": "string",
  "displayName": "string",
  "userType": "string",
  "phoneNumbers": [
  {
  "primary": true,
  "value": "string",
  "type": "string"
}
],
  "roles": [
  {
  "value": "string"
}
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "schemas": [ "string" ], "id": "string", "meta": {}, "userName": "string", "displayName": "string", "userType": "string" }
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
GET/rest/scim/Users

Retrieve users

Description:

Returns a paginated list of SCIM users matching the specified filter criteria.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

A list of SCIM users is returned.
Parameters
Query Parameters
attributes
Optional
string[]

Comma-separated list of attribute names to include in the response.

excludedAttributes
Optional
string[]

Comma-separated list of attribute names to exclude from the response.

filter
Optional
string

SCIM filter expression to narrow the list of returned users (e.g., userName eq "user@example.com").

sortBy
Optional
string

Attribute name to sort results by.

sortOrder
Optional
string

Sort direction for the results.
ascending – Sort in ascending order.
descending – Sort in descending order.

startIndex
Optional
integer

1-based index of the first result to return, used for pagination.

count
Optional
integer

Maximum number of results to return per page (maximum: 1,000,000).


Responses

The users are returned successfully.

schemas
string[]

List of SCIM schema URIs applicable to this response.

totalResults
integer

Total number of matching SCIM users.

itemsPerPage
integer

Number of users returned per page.

startIndex
integer

1-based index of the first result in the current page.

schemas
string[]

List of SCIM schema URIs applicable to this resource.

id
string

Unique identifier of the SCIM user (maps to the user GUID).

resourceType
string

SCIM resource type (e.g., User).

created
string

Date and time when the SCIM resource was created.

lastModified
string

Date and time when the SCIM resource was last modified.

location
string

URI of the SCIM resource.

userName
string

Username of the SCIM user (maps to email address).

displayName
string

Display name of the SCIM user.

userType
string

User type based on the assigned profile name.

preferredLanguage
string

Preferred language of the user.

active
boolean

Indicates whether the user account is active.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

Bad request.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/Users" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/Users"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "schemas": [ "string" ], "totalResults": 1, "itemsPerPage": 1, "startIndex": 1, "Resources": [ { "schemas": [ "..." ], "id": "string", "meta": {}, "userName": "string", "displayName": "string", "userType": "string" } ] }
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
POST/rest/scim/Users

Create a user

Description:

Creates a new SCIM user with the specified attributes.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The newly created user is returned.
Parameters
Query Parameters
attributes
Optional
string[]

Comma-separated list of attribute names to include in the response.

excludedAttributes
Optional
string[]

Comma-separated list of attribute names to exclude from the response.


Request Body
schemas
Required
string[]

List of SCIM schema URNs applicable to this resource. Must include urn:ietf:params:scim:schemas:core:2.0:User.

password
string

The user's password.

displayName
string

The user's display name. Must not contain < or > characters.

userType
string

The user's type identifier (alphanumeric characters, underscores, and hyphens only).

phoneNumbers
ScimMultiValueMobile[]

List of phone numbers associated with the user.

roles
ScimMultiValue[]

List of roles assigned to the user. At most one role may be specified.

userName
Required
string

The user's email address, used as the unique username.

notify
boolean

If true, sends a notification email to the user upon account creation.

userMustChange
boolean

If true, requires the user to change their password on first login.


Responses

The user is created successfully.

schemas
string[]

List of SCIM schema URIs applicable to this resource.

id
string

Unique identifier of the SCIM user (maps to the user GUID).

resourceType
string

SCIM resource type (e.g., User).

created
string

Date and time when the SCIM resource was created.

lastModified
string

Date and time when the SCIM resource was last modified.

location
string

URI of the SCIM resource.

userName
string

Username of the SCIM user (maps to email address).

displayName
string

Display name of the SCIM user.

userType
string

User type based on the assigned profile name.

preferredLanguage
string

Preferred language of the user.

active
boolean

Indicates whether the user account is active.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

Bad request.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Conflict.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/scim/Users" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "schemas": [
         "string"
       ],
         "password": "string",
         "displayName": "string",
         "userType": "string",
         "phoneNumbers": [
         {
         "primary": true,
         "value": "string",
         "type": "string"
       }
       ],
         "roles": [
         {
         "value": "string"
       }
       ]
       }'
Python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/Users"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "schemas": [
  "string"
],
  "password": "string",
  "displayName": "string",
  "userType": "string",
  "phoneNumbers": [
  {
  "primary": true,
  "value": "string",
  "type": "string"
}
],
  "roles": [
  {
  "value": "string"
}
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "schemas": [ "string" ], "id": "string", "meta": {}, "userName": "string", "displayName": "string", "userType": "string" }
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
GET/rest/scim/users/{id}

Return a user

Description:

Returns the SCIM user corresponding to the provided ID.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The user is returned.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.

Query Parameters
attributes
Optional
string[]

Comma-separated list of attribute names to include in the response.

excludedAttributes
Optional
string[]

Comma-separated list of attribute names to exclude from the response.


Responses

The user is returned successfully.

schemas
string[]

List of SCIM schema URIs applicable to this resource.

id
string

Unique identifier of the SCIM user (maps to the user GUID).

resourceType
string

SCIM resource type (e.g., User).

created
string

Date and time when the SCIM resource was created.

lastModified
string

Date and time when the SCIM resource was last modified.

location
string

URI of the SCIM resource.

userName
string

Username of the SCIM user (maps to email address).

displayName
string

Display name of the SCIM user.

userType
string

User type based on the assigned profile name.

preferredLanguage
string

Preferred language of the user.

active
boolean

Indicates whether the user account is active.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

Bad request.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "schemas": [ "string" ], "id": "string", "meta": {}, "userName": "string", "displayName": "string", "userType": "string" }
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
PUT/rest/scim/users/{id}

Update a user

Description:

Updates the SCIM user corresponding to the provided ID.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The updated user is returned.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.


Request Body
schemas
Required
string[]

List of SCIM schema URNs applicable to this resource. Must include urn:ietf:params:scim:schemas:core:2.0:User.

password
string

The user's password.

displayName
string

The user's display name. Must not contain < or > characters.

userType
string

The user's type identifier (alphanumeric characters, underscores, and hyphens only).

phoneNumbers
ScimMultiValueMobile[]

List of phone numbers associated with the user.

roles
ScimMultiValue[]

List of roles assigned to the user. At most one role may be specified.

active
boolean

If true, activates the user account; if false, deactivates it.

userTypeDemotionOptions
object

Data retention options to apply when the user type is demoted.


Responses

The user is updated and returned successfully.

schemas
string[]

List of SCIM schema URIs applicable to this resource.

id
string

Unique identifier of the SCIM user (maps to the user GUID).

resourceType
string

SCIM resource type (e.g., User).

created
string

Date and time when the SCIM resource was created.

lastModified
string

Date and time when the SCIM resource was last modified.

location
string

URI of the SCIM resource.

userName
string

Username of the SCIM user (maps to email address).

displayName
string

Display name of the SCIM user.

userType
string

User type based on the assigned profile name.

preferredLanguage
string

Preferred language of the user.

active
boolean

Indicates whether the user account is active.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

ERR_AUTH_INVALID_CSRF

ERR_AUTH_UNAUTHORIZED

Empty response body.

ERR_ENTITY_NOT_FOUND

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X PUT \
  "https://{instance}.kiteworks.com/rest/scim/users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "schemas": [
         "string"
       ],
         "password": "string",
         "displayName": "string",
         "userType": "string",
         "phoneNumbers": [
         {
         "primary": true,
         "value": "string",
         "type": "string"
       }
       ],
         "roles": [
         {
         "value": "string"
       }
       ]
       }'
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "schemas": [
  "string"
],
  "password": "string",
  "displayName": "string",
  "userType": "string",
  "phoneNumbers": [
  {
  "primary": true,
  "value": "string",
  "type": "string"
}
],
  "roles": [
  {
  "value": "string"
}
]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())
Responses
{ "schemas": [ "string" ], "id": "string", "meta": {}, "userName": "string", "displayName": "string", "userType": "string" }
// Error - No Body
// Error - No Body
// Error - No Body
DELETE/rest/scim/users/{id}

Delete a user

Description:

Deletes the SCIM user corresponding to the provided ID.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The user is deleted.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.

Query Parameters
remoteWipe
Optional
boolean

If true, triggers a remote wipe of the user data from all registered devices.

deleteUnsharedData
Optional
boolean

If true, permanently deletes data that is not shared with other users.

retainData
Optional
boolean

If true, retains the user data after deletion.

retainPermissionToSharedData
Optional
boolean

If true, the specified retainToUser will retain access to shared data.

retainToUser
Optional
string

UUID of the user who will receive ownership of the deleted user data.


Responses

The user is deleted successfully.

Empty response body.

Bad request.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/scim/users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
GET/rest/scim/Users/{id}

Return a user

Description:

Returns the SCIM user corresponding to the provided ID.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The user is returned.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.

Query Parameters
attributes
Optional
string[]

Comma-separated list of attribute names to include in the response.

excludedAttributes
Optional
string[]

Comma-separated list of attribute names to exclude from the response.


Responses

The user is returned successfully.

schemas
string[]

List of SCIM schema URIs applicable to this resource.

id
string

Unique identifier of the SCIM user (maps to the user GUID).

resourceType
string

SCIM resource type (e.g., User).

created
string

Date and time when the SCIM resource was created.

lastModified
string

Date and time when the SCIM resource was last modified.

location
string

URI of the SCIM resource.

userName
string

Username of the SCIM user (maps to email address).

displayName
string

Display name of the SCIM user.

userType
string

User type based on the assigned profile name.

preferredLanguage
string

Preferred language of the user.

active
boolean

Indicates whether the user account is active.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

Bad request.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/Users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/Users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "schemas": [ "string" ], "id": "string", "meta": {}, "userName": "string", "displayName": "string", "userType": "string" }
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
PUT/rest/scim/Users/{id}

Update a user

Description:

Updates the SCIM user corresponding to the provided ID.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The updated user is returned.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.


Request Body
schemas
Required
string[]

List of SCIM schema URNs applicable to this resource. Must include urn:ietf:params:scim:schemas:core:2.0:User.

password
string

The user's password.

displayName
string

The user's display name. Must not contain < or > characters.

userType
string

The user's type identifier (alphanumeric characters, underscores, and hyphens only).

phoneNumbers
ScimMultiValueMobile[]

List of phone numbers associated with the user.

roles
ScimMultiValue[]

List of roles assigned to the user. At most one role may be specified.

active
boolean

If true, activates the user account; if false, deactivates it.

userTypeDemotionOptions
object

Data retention options to apply when the user type is demoted.


Responses

The user is updated and returned successfully.

schemas
string[]

List of SCIM schema URIs applicable to this resource.

id
string

Unique identifier of the SCIM user (maps to the user GUID).

resourceType
string

SCIM resource type (e.g., User).

created
string

Date and time when the SCIM resource was created.

lastModified
string

Date and time when the SCIM resource was last modified.

location
string

URI of the SCIM resource.

userName
string

Username of the SCIM user (maps to email address).

displayName
string

Display name of the SCIM user.

userType
string

User type based on the assigned profile name.

preferredLanguage
string

Preferred language of the user.

active
boolean

Indicates whether the user account is active.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

value
string

Value of the multi-value attribute (e.g., email address or phone number).

type
string

Type label for the value (e.g., work, home).

primary
boolean

Indicates whether this is the primary value for the attribute.

ERR_AUTH_INVALID_CSRF

ERR_AUTH_UNAUTHORIZED

Empty response body.

ERR_ENTITY_NOT_FOUND

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X PUT \
  "https://{instance}.kiteworks.com/rest/scim/Users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "schemas": [
         "string"
       ],
         "password": "string",
         "displayName": "string",
         "userType": "string",
         "phoneNumbers": [
         {
         "primary": true,
         "value": "string",
         "type": "string"
       }
       ],
         "roles": [
         {
         "value": "string"
       }
       ]
       }'
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/Users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "schemas": [
  "string"
],
  "password": "string",
  "displayName": "string",
  "userType": "string",
  "phoneNumbers": [
  {
  "primary": true,
  "value": "string",
  "type": "string"
}
],
  "roles": [
  {
  "value": "string"
}
]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())
Responses
{ "schemas": [ "string" ], "id": "string", "meta": {}, "userName": "string", "displayName": "string", "userType": "string" }
// Error - No Body
// Error - No Body
// Error - No Body
DELETE/rest/scim/Users/{id}

Delete a user

Description:

Deletes the SCIM user corresponding to the provided ID.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The user is deleted.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.

Query Parameters
remoteWipe
Optional
boolean

If true, triggers a remote wipe of the user data from all registered devices.

deleteUnsharedData
Optional
boolean

If true, permanently deletes data that is not shared with other users.

retainData
Optional
boolean

If true, retains the user data after deletion.

retainPermissionToSharedData
Optional
boolean

If true, the specified retainToUser will retain access to shared data.

retainToUser
Optional
string

UUID of the user who will receive ownership of the deleted user data.


Responses

The user is deleted successfully.

Empty response body.

Bad request.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/scim/Users/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/scim/Users/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
// Error - No Body
// Error - No Body
// Error - No Body
GET/rest/scim/ServiceProviderConfig

Return SCIM service provider configuration

Description:

Returns the SCIM service provider configuration, including supported features and authentication schemes.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The service provider configuration is returned.
This endpoint requires no parameters.

Responses

The service provider configuration is returned successfully.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/ServiceProviderConfig" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/ServiceProviderConfig"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
// Error - No Body
// Error - No Body
GET/rest/scim/Schemas

Return SCIM schemas

Description:

Returns all supported SCIM schemas.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The supported SCIM schemas are returned.
This endpoint requires no parameters.

Responses

The supported SCIM schemas are returned successfully.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/Schemas" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/Schemas"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
// Error - No Body
// Error - No Body
GET/rest/scim/Schemas/{id}

Return a SCIM schema

Description:

Returns the SCIM schema corresponding to the provided ID.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The requested SCIM schema is returned if it exists.
Parameters
Path Parameters
id
Required
string

The ID/URN of the schema


Responses

The requested SCIM schema is returned successfully.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/Schemas/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The ID/URN of the schema

url = f"https://{{instance}}.kiteworks.com/rest/scim/Schemas/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
// Error - No Body
// Error - No Body
GET/rest/scim/ResourceTypes

Return SCIM resource types

Description:

Returns all supported SCIM resource types.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The supported SCIM resource types are returned.
This endpoint requires no parameters.

Responses

The supported SCIM resource types are returned successfully.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/ResourceTypes" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/scim/ResourceTypes"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
// Error - No Body
// Error - No Body
GET/rest/scim/ResourceTypes/{id}

Return a SCIM resource type

Description:

Returns the SCIM resource type corresponding to the provided ID.

Precondition:

The request must be authenticated using a valid SCIM token.

Response:

The requested SCIM resource type is returned if it exists.
Parameters
Path Parameters
id
Required
string

The ID/URN of the schema


Responses

The requested SCIM resource type is returned successfully.

Empty response body.

Unauthorized.

Empty response body.

Forbidden.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/scim/ResourceTypes/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The ID/URN of the schema

url = f"https://{{instance}}.kiteworks.com/rest/scim/ResourceTypes/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
// Error - No Body
// Error - No Body